<?php
$h1			= 'Polls';
$mobj->decor_folder	= 'sbs_wp/';
$mobj->decor_file	= 'decor_main.php';
$mobj->mmm_403		= 'u0/cp/403';

// Definition of rights of groups
$u14r_add		= ''; // Adding a voting

include_once _MOBJ_MODULES_FOLDER_.'u0/lib_admin.php';
include_once _MOBJ_MODULES_FOLDER_.'u14/lib_u14.php';

include_once _MOBJ_MODULES_FOLDER_.'u0/lib_help_system.php';
$u14_help = new Help_System(_MOBJ_MODULES_FOLDER_.'u14/help/help_config.php');

$admin_mmm = 'u14/admin';
$admin_config = 'admin';

$o_u14 = new U14($admin_config);

//*************************** Section of actions ******************************
// Creating new questioning
if ($u14create) {
  if (!$mobj->check_authority($u14r_add)) {
    Header("Location: "._MOBJ_I_."?mmm=".$admin_mmm."&sys_mes="._LNG_U00_NORIGHTS_."!"); exit;
  }
  $o_u14->u14add_inr($u14q, $u14a, $u14date_b1.' '.$u14date_b2, $u14date_e1.' '.$u14date_e2);
  Header ("Location: "._MOBJ_I_."?mmm=".$admin_mmm."&sys_mes="._LNG_U14_RMA0_);
}

// Deleting a questioning
if ($u14del) {
  $res = $o_u14->u14del_inr($u14iid);
  if ($res == 0) $sys_mes = _LNG_U14_RMD0_;
  if ($res == 1) $sys_mes = _LNG_U00_NORIGHTS_.'!';
  Header ("Location: "._MOBJ_I_."?mmm=".$admin_mmm."&sys_mes=$sys_mes");
}

// Updating data of questioning
if ($u14upd) {
  $res = $o_u14->u14upd_inr($u14iid, $u14q, $u14a, $u14date_b1.' '.$u14date_b2, $u14date_e1.' '.$u14date_e2);
  if ($res == 0) $sys_mes = _LNG_U14_RMU0_.'!';
  if ($res == 1) $sys_mes = _LNG_U00_NORIGHTS_.'!';
  Header ("Location: "._MOBJ_I_."?mmm=".$admin_mmm."&sys_mes=$sys_mes");
}

// Changing active questioning
if ($u14change_active) {
  $res = $o_u14->u14change_active_inr($u14iid);
  if ($res == 0) $sys_mes = _LNG_U14_RMCA0_;
  if ($res == 1) $sys_mes = _LNG_U00_NORIGHTS_.'!';
  Header ("Location: "._MOBJ_I_."?mmm=".$admin_mmm."&sys_mes=$sys_mes");
}
//************************ End of Section of actions **************************

echo '
<div class="sys_mes">'.stripslashes($sys_mes).'</div>
';

switch ($amode) {
  // News list
  default:
    if ($pers_set[ug] != '') { // Only for authenticated users
      $tmpl_sort = '<a href="'._MOBJ_I_.'?mmm='.$admin_mmm.'&page='.$page.'&order=[ORDER]" title="'._LNG_U14_SORT_.'">';
      if ($order) $o_u14->poll_order = $order; else $order = $o_u14->poll_order;
      $o_u14->u14get_inr_list('r');
      echo '
	<img src="'._MOBJ_THEMES_FOLDER_.$mobj->decor_folder.'pics/icon_create.gif" /> <a href="'._MOBJ_I_.'?mmm='.$admin_mmm.'&amode=create_voting">'._LNG_U14_HADD_.'</a>
	<h2>'._LNG_U14_H1_.':</h2>
	<table class="main_table">
	<thead>
	<tr>
		<th>ID<br />'.get_sort_block('id', $tmpl_sort, $order).'</th>
		<th>'._LNG_U14_TH1_.'<br />'.get_sort_block('question', $tmpl_sort, $order).'</th>
		<th>'._LNG_U14_TH2_.'<br />'.get_sort_block('date_b', $tmpl_sort, $order).'</th>
		<th>'._LNG_U14_TH3_.'<br />'.get_sort_block('date_e', $tmpl_sort, $order).'</th>
		<th title="'._LNG_U14_TH4_.'">V</th>
		<th>&nbsp;</th>
	</tr>
	</thead>
	<tbody>
	'.$o_u14->HTML_polls.'
	<tbody>
	</table>
      ';
    } else echo '<div class="sys_mes">'._LNG_U00_NORIGHTS_.'!</div>';
    break;

  // Editing a voting
  case 'edit_voting':
    $o_u14->u14upd_info($u14id);
    $date_b = explode(' ', $o_u14->date_b);
    $date_e = explode(' ', $o_u14->date_e);
    echo '
	<a href="'._MOBJ_I_.'?mmm='.$admin_mmm.'">'._LNG_U14_TOLIST_.'</a>
	<h2>'._LNG_U14_H3_.':</h2>
	'._LNG_U14_NOTE1_.'
	<form name="upd_inr" action="'._MOBJ_I_.'" method="post">
	<input type="hidden" name="mmm" value="'.$admin_mmm.'">
	<input type="hidden" name="u14iid" value="'.$o_u14->id.'">
	<table cellspacing="0">
	<tr><td>'._LNG_U14_QUESTION_.'</td><td><input type="text" name="u14q" size="100" value="'.$o_u14->question.'" /></td></tr>
	<tr><td>
'._LNG_U14_DATEB1_.'</td><td>'._LNG_U14_DATED_.' <input type="text" name="u14date_b1" size="7" value="'.$date_b[0].'" />
<a href="javascript:window.open(\''._MOBJ_I_.'?mmm=u0/cp/slct_date&form=upd_inr&var=u14date_b1\',\'Calendar\',\'scrollbars=no,left=\'+(screen.width-230)/2+\',top=30,width=230,height=270\'); void(null);" title="'._LNG_U00_SLCT_CAL_.'">
<img src="'._MOBJ_THEMES_FOLDER_.$mobj->decor_folder.'pics/icon_cal.gif" border="0" /></a>
&nbsp;&nbsp;'._LNG_U14_DATET_.' (hh:mm:ss) <input type="text" name="u14date_b2" size="5" value="'.$date_b[1].'" />
	</td></tr>
	<tr><td>
'._LNG_U14_DATEE1_.'</td><td>'._LNG_U14_DATED_.' <input type="text" name="u14date_e1" size="7" value="'.$date_e[0].'" />
<a href="javascript:window.open(\''._MOBJ_I_.'?mmm=u0/cp/slct_date&form=upd_inr&var=u14date_e1\',\'Calendar\',\'scrollbars=no,left=\'+(screen.width-230)/2+\',top=30,width=230,height=270\'); void(null);" title="'._LNG_U00_SLCT_CAL_.'">
<img src="'._MOBJ_THEMES_FOLDER_.$mobj->decor_folder.'pics/icon_cal.gif" border="0" /></a>
&nbsp;&nbsp;'._LNG_U14_DATET_.' (hh:mm:ss) <input type="text" name="u14date_e2" size="5" value="'.$date_e[1].'" />
	</td></tr>
	<tr><td valign="top">'._LNG_U14_ANSWERS_.' '.$u14_help->get_context_href('answers').'</td><td>
		<div id="answers">
    ';
    for ($I=0;$I<count($o_u14->options);$I++) echo ($I+1).' <input type="text" name="u14a['.$I.']" size="100" value="'.trim($o_u14->options[$I+1][title]).'" /><br />';
    echo '
		</div>
		<a href="javascript:add_option();">'._LNG_U14_ADDOPTION_.'</a>
	</td></tr>
	<tr><td></td><td><p /><input type="submit" name="u14upd" value="'._LNG_U14_B_UPD_.'" /></td></tr>
	</table>
	</form>

	<script language="javascript" type="text/javascript">
		answer_quantity = '.count($o_u14->options).';
	</script>
    ';
    break;

  // Adding a voting
  case 'create_voting':
    echo '
	<a href="'._MOBJ_I_.'?mmm='.$admin_mmm.'">'._LNG_U14_TOLIST_.'</a>
	<h2>'._LNG_U14_H2_.':</h2>
	<form name="add_inr" action="'._MOBJ_I_.'" method="post">
	<input type="hidden" name="mmm" value="'.$admin_mmm.'">
	<table cellspacing="0">
	<tr><td>'._LNG_U14_QUESTION_.'</td><td><input type="text" name="u14q" size="100"></td></tr>
	<tr><td>
'._LNG_U14_DATEB1_.'</td><td>'._LNG_U14_DATED_.' <input type="text" name="u14date_b1" size="7" value="'.date('Y-m-d').'" />
<a href="javascript:window.open(\''._MOBJ_I_.'?mmm=u0/cp/slct_date&form=add_inr&var=u14date_b1\',\'Calendar\',\'scrollbars=no,left=\'+(screen.width-230)/2+\',top=30,width=230,height=270\'); void(null);" title="'._LNG_U00_SLCT_CAL_.'">
<img src="'._MOBJ_THEMES_FOLDER_.$mobj->decor_folder.'pics/icon_cal.gif" border="0" /></a>
&nbsp;&nbsp;'._LNG_U14_DATET_.' (hh:mm:ss) <input type="text" name="u14date_b2" size="5" />
	</td></tr>
	<tr><td>
'._LNG_U14_DATEE1_.'</td><td>'._LNG_U14_DATED_.' <input type="text" name="u14date_e1" size="7" value="'.date('Y-m-d',strtotime("+6 month")).'" />
<a href="javascript:window.open(\''._MOBJ_I_.'?mmm=u0/cp/slct_date&form=add_inr&var=u14date_e1\',\'Calendar\',\'scrollbars=no,left=\'+(screen.width-230)/2+\',top=30,width=230,height=270\'); void(null);" title="'._LNG_U00_SLCT_CAL_.'">
<img src="'._MOBJ_THEMES_FOLDER_.$mobj->decor_folder.'pics/icon_cal.gif" border="0" /></a>
&nbsp;&nbsp;'._LNG_U14_DATET_.' (hh:mm:ss) <input type="text" name="u14date_e2" size="5" />
	</td></tr>
	<tr><td valign="top">'._LNG_U14_ANSWERS_.' '.$u14_help->get_context_href('answers').'</td><td>
		<div id="answers">
	1 <input type="text" name="u14a[0]" size="100" /><br />
	2 <input type="text" name="u14a[1]" size="100" /><br />
	3 <input type="text" name="u14a[2]" size="100" /><br />
		</div>
		<a href="javascript:add_option();">'._LNG_U14_ADDOPTION_.'</a>
	</td></tr>
	<tr><td></td><td><p /><input type="submit" name="u14create" value="'._LNG_U14_B_ADDPOLL_.'"></td></tr>
	</table>
	</form>

	<script language="javascript" type="text/javascript">
		answer_quantity = 3;
	</script>
    ';
    break;
}
?>

	<script language="javascript" type="text/javascript">
function add_option()
{
  answer_quantity++;
  document.getElementById("answers").innerHTML += answer_quantity + ' <input type="text" name="u14a[' + (answer_quantity - 1) + ']" size="100" /><br />';
}
	</script>