<?php
load_lng('u14/');

// Main class of module U14
class u14 {
  var $active_inr;	// ID of active questioning
  var $id;		// Questioning ID
  var $question;	// Question
  var $answers;		// Array with variantes of answers
  var $date_b;		// Date of beginning an questioning
  var $date_e;		// Date of ending an questioning
  var $v_amount;	// Amount of voices

  function u14($cfg_name = '')
  {
    global $mobj;

    // Default
    $mobj->SQL = "select * from "._MOBJ_DB_TPREF_."u14_configuration where id='sbs_wp_u14_default'";
    $R = $mobj->DB_db_query();
    $tmp = $mobj->DB_fetch_assoc($R);
    foreach ($tmp as $field=>$val) {
      if (trim($val) == '') eval('$this->'.$field.' = "";');
      if ($field == 'tmpl_poll') $this->tmpl_poll = $val;
      elseif ($field == 'tmpl_option') $this->tmpl_option = $val;
      elseif (!empty($val) and !in_array($field, array('id','uid','gid_r','gid_w','gid_i','parent_id','_date','host','title'))) eval('$this->'.$field.' = '.$val.';');
    }
    // Special if specified
    $mobj->SQL = "select * from "._MOBJ_DB_TPREF_."u14_configuration where id='$cfg_name'";
    $R = $mobj->DB_db_query();
    if ($mobj->DB_num_rows($R) > 0) {
      $tmp = $mobj->DB_fetch_assoc($R);
      foreach ($tmp as $field=>$val) {
        if ($val != '-1') {
          if (trim($val) == '') eval('$this->'.$field.' = "";');
          if ($field == 'tmpl_poll') $this->tmpl_poll = $val;
          elseif ($field == 'tmpl_option') $this->tmpl_option = $val;
          elseif (!empty($val) and !in_array($field, array('id','uid','gid_r','gid_w','gid_i','parent_id','_date','host','title'))) eval('$this->'.$field.' = '.$val.';');
        }
      }
    }

    $dump = @file(_MOBJ_MODULES_FOLDER_."u14/inrs.dat");
    $this->active_inr = $dump[0];
  }

  // Return questionings list
  // $chk_perm: '' - any, 'r' - allowed to read, 'w' - allowed to write
  // $act_poll - ID of poll which will be not writed (can be used for excluding of active poll)
  function u14get_inr_list($chk_perm = '', $act_poll = '')
  {
    global $mobj, $pers_set;

    if (is_numeric($act_poll)) $suf .= (empty($suf)?' where ':' and ')."id<>'$act_poll'";

    // Checking of permission
    if ($chk_perm!='' and ($pers_set[ug]!='0'))
      $suf .= (empty($suf)?' where ':' and ')."(gid_$chk_perm='*' or 
        gid_$chk_perm like '%".$pers_set[ug]."%' or (uid!='' and uid='".$pers_set[id]."' and gid_$chk_perm not like '%-%'))";

    $mobj->SQL = "select * from "._MOBJ_DB_TPREF_."u14_votings$suf order by ".$this->poll_order;
    if ($R = $mobj->DB_db_query())
      for ($I=0;$I<$mobj->DB_num_rows($R);$I++) {
        $inr->id	= $mobj->DB_result($R,$I,'id');
        $inr->uid = $mobj->DB_result($R,$I,'uid');
        $inr->gid_r = $mobj->DB_result($R,$I,'gid_r');
        $inr->gid_w = $mobj->DB_result($R,$I,'gid_w');
        $inr->question	= $mobj->DB_result($R,$I,'question');
        $inr->date_b	= $mobj->DB_result($R,$I,'date_b');
        $inr->date_e	= $mobj->DB_result($R,$I,'date_e');
        $this->u14upd_info($inr->id);
        $inr->v_amount	= $this->v_amount;

        eval($this->tmpl_poll);
        $this->HTML_polls .= $this->list_row;
    }
  }

  // Updates an information about questioning (set object variables)
  // $chk_perm: '' - any, 'r' - allowed to read, 'w' - allowed to write
  function u14upd_info($iid, $chk_perm = '')
  {
    global $mobj, $pers_set;

    // Checking of permission
    if ($chk_perm!='' and ($pers_set[ug]!='0'))
      $suf .= " and (gid_$chk_perm='*' or 
        gid_$chk_perm like '%".$pers_set[ug]."%' or (uid!='' and uid='".$pers_set[id]."' and gid_$chk_perm not like '%-%'))";

    $mobj->SQL = "select * from "._MOBJ_DB_TPREF_."u14_votings where id='$iid'$suf";
    $R = $mobj->DB_db_query();
    if ($mobj->DB_num_rows($R) > 0) {
      $this->id = $iid;
      $this->question = $mobj->DB_result($R,0,'question');
      $this->date_b = $mobj->DB_result($R,0,'date_b');
      $this->date_e = $mobj->DB_result($R,0,'date_e');

      unset($this->options);
      $mobj->SQL = "select answer_id from "._MOBJ_DB_TPREF_."u14_votes where vid='$iid'";
      $Rvotes = $mobj->DB_db_query();
      for ($I=0;$I<$mobj->DB_num_rows($Rvotes);$I++) {
        $this->options[$mobj->DB_result($Rvotes, $I)][votes] += 1;
      }
      @arsort($this->options); // Sorting by leader
      $mobj->SQL = "select id, title from "._MOBJ_DB_TPREF_."u14_options where pid='$iid'";
      $Roptions = $mobj->DB_db_query();
      for ($I=0;$I<$mobj->DB_num_rows($Roptions);$I++)
        $this->options[$mobj->DB_result($Roptions,$I,'id')][title] = $mobj->DB_result($Roptions,$I,'title');

      $this->v_amount = $mobj->DB_num_rows($Rvotes);
    } else return 1;
  }

  // Return questioning results page
  // If $iid not specified, shows active questioning
  function u14inr_data($iid = '')
  {
    global $u14res;
    if (empty($iid)) $iid = $this->active_inr;
    if ($this->u14upd_info($iid) != 1) {
      $this->u14upd_info($iid);
      $inr->id = $this->id;
      $inr->question = $this->question;

      @ksort($this->options);

      foreach($this->options as $I=>$val) {
        if ($this->options[$I] != '') {
          if ($this->v_amount != 0) $prcnt = round(trim($this->options[$I][votes])*100/$this->v_amount);
          else $prcnt = 0;
          $vq = trim($this->options[$I][votes]);
          if (trim($this->options[$I][votes]) == '') $vq = 0;
          $result_row->id		= $I;
          $result_row->answer		= $this->options[$I][title];
          $result_row->amount		= intval($this->options[$I][votes]);
          $result_row->amount_percent	= $prcnt;
          eval($this->tmpl_option);
          $HTML_options .= $this->result_row;
        }
      }

      $inr->HTML_options = $HTML_options;
      return $inr;
    } else return FALSE;
  }

  // Processes a vote
  // Out: 0 if succesfully voted, 1 if this IP-address already voted,
  // 2 if variant not choosed, 3 if ID is wrong, 4 if questioning is out of date
  function u14vote($iid, $ans_no)
  {
    global $mobj;

    $u14res = 0;
    $this->u14upd_info($iid);
    if (empty($iid)) $u14res = 3;
    elseif (!is_numeric($ans_no)) $u14res = 2;
    elseif (strtotime($this->date_b) > strtotime(now) or strtotime($this->date_e) < strtotime(now)) $u14res = 4;
    else {
      $mobj->SQL = "select count(*) from "._MOBJ_DB_TPREF_."u14_votes where host='".Get_IP()."' and vid='$iid'";
      $R = $mobj->DB_db_query();
      if ($mobj->DB_result($R,0) > 0) return 1;

      $mobj->SQL = "insert into "._MOBJ_DB_TPREF_."u14_votes values(0, '$iid', '$ans_no', '".Get_IP()."')";
      $R = $mobj->DB_db_query();
    }
    return $u14res;
  }

  // Addes new questioning
  function u14add_inr($question, $answers, $date_b, $date_e)
  {
    global $mobj, $pers_set;

    if (trim($date_b) == '') $date_b = date('Y-m-d H:i:s');
    if (trim($date_e) == '') $date_e = date('Y-m-d H:i:s');

    $mobj->SQL = "insert into "._MOBJ_DB_TPREF_."u14_votings values(0, 
      '".$pers_set[id]."', '".$pers_set[gid_rm]."', '".$pers_set[gid_wm]."',
      0, '".date('Y-m-d H:i:s')."', '".Get_IP()."', '$question', '$date_b', '$date_e')";
    $mobj->DB_db_query();
    $poll_id = $mobj->DB_insert_id();

    foreach ($answers as $I=>$val) {
      if (trim($val) != '') {
        $mobj->SQL = "insert into "._MOBJ_DB_TPREF_."u14_options values('".($I+1)."', '$poll_id', '$val')";
        $mobj->DB_db_query();
      }
    }

    $mobj->log_event(_LNG_U14_LOG1_.' (ID '.$poll_id.')', $pers_set[id]);
  }

  // Deletes a questioning
  function u14del_inr($id)
  {
    global $mobj, $pers_set;

    $mobj->SQL = "select * from "._MOBJ_DB_TPREF_."u14_votings where id='$id'";
    $R = $mobj->DB_db_query();
    if (!$mobj->check_authority($mobj->DB_result($R,0,'gid_w'),$mobj->DB_result($R,0,'uid'))) return 1;

    $mobj->SQL = "delete from "._MOBJ_DB_TPREF_."u14_votes where vid='$id'";
    $mobj->DB_db_query();
    $mobj->SQL = "delete from "._MOBJ_DB_TPREF_."u14_options where pid='$id'";
    $mobj->DB_db_query();
    $mobj->SQL = "delete from "._MOBJ_DB_TPREF_."u14_votings where id='$id'";
    $mobj->DB_db_query();

    $mobj->log_event(_LNG_U14_LOG3_.' (ID '.$id.')', $pers_set[id]);
    return 0;
  }

  // Updates data of questioning
  function u14upd_inr($id, $question, $answers, $date_b, $date_e)
  {
    global $mobj, $pers_set;
    $mobj->SQL = "select * from "._MOBJ_DB_TPREF_."u14_votings where id='$id'";
    $R = $mobj->DB_db_query();
    if (!$mobj->check_authority($mobj->DB_result($R,0,'gid_w'),$mobj->DB_result($R,0,'uid'))) return 1;

    foreach ($answers as $I=>$val) {
      if (trim($val) != '') {
        $mobj->SQL = "select count(*) from "._MOBJ_DB_TPREF_."u14_options where id='".($I+1)."' and pid='$id'";
        if ($mobj->DB_result($mobj->DB_db_query(), 0) == 1)
          $mobj->SQL = "update "._MOBJ_DB_TPREF_."u14_options set title='$val' where id='".($I+1)."' and pid='$id'";
        else
          $mobj->SQL = "insert into "._MOBJ_DB_TPREF_."u14_options values('".($I+1)."', '$id', '$val')";
        $mobj->DB_db_query();
      }
    }

    $mobj->SQL = "update "._MOBJ_DB_TPREF_."u14_votings set question='$question', date_b='$date_b', date_e='$date_e' where id='$id'";
    $mobj->DB_db_query();
    $mobj->log_event(_LNG_U14_LOG2_.' (ID '.$id.')', $pers_set[id]);
  }

  // Changes active questioning
  function u14change_active_inr($id)
  {
    global $mobj;
    $mobj->SQL = "select * from "._MOBJ_DB_TPREF_."u14_votings where id='$id'";
    $R = $mobj->DB_db_query();
    if (!$mobj->check_authority($mobj->DB_result($R,0,'gid_w'),$mobj->DB_result($R,0,'uid'))) return 1;

    $fp = fopen(_MOBJ_MODULES_FOLDER_."u14/inrs.dat",'w');
    fwrite($fp,$id);
    fclose($fp);
    return 0;
  }
}  
?>